/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ResourceContentPageDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ResourceContentPageDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ResourceContentPageDto
        //private ResourceContentPageDto instance;

        public ResourceContentPageDtoTests()
        {
            // TODO uncomment below to create an instance of ResourceContentPageDto
            //instance = new ResourceContentPageDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceContentPageDto
        /// </summary>
        [Fact]
        public void ResourceContentPageDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ResourceContentPageDto
            //Assert.IsType<ResourceContentPageDto>(instance);
        }

        /// <summary>
        /// Test the property 'ReadOnly'
        /// </summary>
        [Fact]
        public void ReadOnlyTest()
        {
            // TODO unit test for the property 'ReadOnly'
        }

        /// <summary>
        /// Test the property 'MetadataView'
        /// </summary>
        [Fact]
        public void MetadataViewTest()
        {
            // TODO unit test for the property 'MetadataView'
        }

        /// <summary>
        /// Test the property 'EntriesView'
        /// </summary>
        [Fact]
        public void EntriesViewTest()
        {
            // TODO unit test for the property 'EntriesView'
        }
    }
}
